Import/Export · API
Generated from the OpenAPI snapshot. Source summaries remain unchanged; JSON schemas below are the exact exported definitions.
POST /api/v1/profiles/{id}/local-storage/export
Local Storage für explizite Origins ohne Abruf der Webseiten exportieren
Authentication: bearer token
Required route scopes: profiles:read, secrets:read
All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.
| Name | Location | Required | Description |
|---|---|---|---|
id | path | Yes |
Full parameter schemas
[
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
]Request body · required
{
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"origins"
],
"properties": {
"origins": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"minItems": 1,
"maxItems": 50
}
},
"additionalProperties": false
}
}
}
}Documented responses
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"origins"
],
"properties": {
"origins": {
"type": "array",
"items": {
"type": "object",
"required": [
"origin",
"localStorage"
],
"properties": {
"origin": {
"type": "string"
},
"localStorage": {
"type": "array",
"items": {
"type": "object",
"required": [
"name",
"value"
],
"properties": {
"name": {
"type": "string"
},
"value": {
"type": "string"
}
}
}
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Complete operation definition
{
"summary": "Local Storage für explizite Origins ohne Abruf der Webseiten exportieren",
"tags": [
"Import/Export"
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"origins"
],
"properties": {
"origins": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"minItems": 1,
"maxItems": 50
}
},
"additionalProperties": false
}
}
}
},
"parameters": [
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
],
"x-required-scopes": [
"profiles:read",
"secrets:read"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"origins"
],
"properties": {
"origins": {
"type": "array",
"items": {
"type": "object",
"required": [
"origin",
"localStorage"
],
"properties": {
"origin": {
"type": "string"
},
"localStorage": {
"type": "array",
"items": {
"type": "object",
"required": [
"name",
"value"
],
"properties": {
"name": {
"type": "string"
},
"value": {
"type": "string"
}
}
}
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}POST /api/v1/profiles/{id}/session-storage/export
Session Storage geöffneter Tabs für explizite Origins exportieren
Authentication: bearer token
Required route scopes: profiles:read, secrets:read
All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.
| Name | Location | Required | Description |
|---|---|---|---|
id | path | Yes |
Full parameter schemas
[
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
]Request body · required
{
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"origins"
],
"properties": {
"origins": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"minItems": 1,
"maxItems": 50
}
},
"additionalProperties": false
}
}
}
}Documented responses
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"tabs",
"skipped_tabs"
],
"properties": {
"tabs": {
"type": "array",
"items": {
"type": "object",
"required": [
"target_id",
"origin",
"sessionStorage"
],
"properties": {
"target_id": {
"type": "string"
},
"origin": {
"type": "string"
},
"sessionStorage": {
"type": "array",
"items": {
"type": "object",
"required": [
"name",
"value"
],
"properties": {
"name": {
"type": "string"
},
"value": {
"type": "string"
}
}
}
}
}
}
},
"skipped_tabs": {
"type": "array",
"items": {
"type": "object",
"required": [
"target_id",
"reason"
],
"properties": {
"target_id": {
"type": "string"
},
"reason": {
"anyOf": [
{
"type": "string",
"enum": [
"unavailable"
]
},
{
"type": "string",
"enum": [
"origin_changed"
]
},
{
"type": "string",
"enum": [
"storage_unavailable"
]
}
]
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Complete operation definition
{
"summary": "Session Storage geöffneter Tabs für explizite Origins exportieren",
"tags": [
"Import/Export"
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"origins"
],
"properties": {
"origins": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"minItems": 1,
"maxItems": 50
}
},
"additionalProperties": false
}
}
}
},
"parameters": [
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
],
"x-required-scopes": [
"profiles:read",
"secrets:read"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"tabs",
"skipped_tabs"
],
"properties": {
"tabs": {
"type": "array",
"items": {
"type": "object",
"required": [
"target_id",
"origin",
"sessionStorage"
],
"properties": {
"target_id": {
"type": "string"
},
"origin": {
"type": "string"
},
"sessionStorage": {
"type": "array",
"items": {
"type": "object",
"required": [
"name",
"value"
],
"properties": {
"name": {
"type": "string"
},
"value": {
"type": "string"
}
}
}
}
}
}
},
"skipped_tabs": {
"type": "array",
"items": {
"type": "object",
"required": [
"target_id",
"reason"
],
"properties": {
"target_id": {
"type": "string"
},
"reason": {
"anyOf": [
{
"type": "string",
"enum": [
"unavailable"
]
},
{
"type": "string",
"enum": [
"origin_changed"
]
},
{
"type": "string",
"enum": [
"storage_unavailable"
]
}
]
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}POST /api/v1/profiles/{id}/website-storage/indexeddb/import
Eine neue IndexedDB-Datenbank aus einem Website-Speicherexport in ein geöffnetes Dokument importieren
Authentication: bearer token
Required route scopes: profiles:write, runtime:control
All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.
| Name | Location | Required | Description |
|---|---|---|---|
id | path | Yes |
Full parameter schemas
[
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
]Request body · required
{
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"data",
"document_index",
"database_index",
"target_id",
"frame_id"
],
"properties": {
"data": {},
"document_index": {
"type": "integer",
"minimum": 0,
"maximum": 499
},
"database_index": {
"type": "integer",
"minimum": 0,
"maximum": 99
},
"target_id": {
"type": "string",
"minLength": 1,
"maxLength": 512
},
"frame_id": {
"type": "string",
"minLength": 1,
"maxLength": 512
}
},
"additionalProperties": false
}
}
}
}Documented responses
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"status",
"reason"
],
"properties": {
"status": {
"anyOf": [
{
"type": "string",
"enum": [
"imported"
]
},
{
"type": "string",
"enum": [
"conflict"
]
},
{
"type": "string",
"enum": [
"aborted"
]
},
{
"type": "string",
"enum": [
"rejected"
]
},
{
"type": "string",
"enum": [
"unknown"
]
}
]
},
"reason": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"records": {
"type": "integer",
"minimum": 0
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Complete operation definition
{
"summary": "Eine neue IndexedDB-Datenbank aus einem Website-Speicherexport in ein geöffnetes Dokument importieren",
"tags": [
"Import/Export"
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"data",
"document_index",
"database_index",
"target_id",
"frame_id"
],
"properties": {
"data": {},
"document_index": {
"type": "integer",
"minimum": 0,
"maximum": 499
},
"database_index": {
"type": "integer",
"minimum": 0,
"maximum": 99
},
"target_id": {
"type": "string",
"minLength": 1,
"maxLength": 512
},
"frame_id": {
"type": "string",
"minLength": 1,
"maxLength": 512
}
},
"additionalProperties": false
}
}
}
},
"parameters": [
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
],
"x-required-scopes": [
"profiles:write",
"runtime:control"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"status",
"reason"
],
"properties": {
"status": {
"anyOf": [
{
"type": "string",
"enum": [
"imported"
]
},
{
"type": "string",
"enum": [
"conflict"
]
},
{
"type": "string",
"enum": [
"aborted"
]
},
{
"type": "string",
"enum": [
"rejected"
]
},
{
"type": "string",
"enum": [
"unknown"
]
}
]
},
"reason": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"records": {
"type": "integer",
"minimum": 0
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}POST /api/v1/profiles/{id}/website-storage/export
Website-Speicher geöffneter Tabs und Frames mit Partitionenzuordnung exportieren
Authentication: bearer token
Required route scopes: profiles:read, secrets:read
All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.
| Name | Location | Required | Description |
|---|---|---|---|
id | path | Yes |
Full parameter schemas
[
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
]Request body · required
{
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"origins",
"kinds"
],
"properties": {
"origins": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"minItems": 1,
"maxItems": 50
},
"kinds": {
"type": "array",
"items": {
"anyOf": [
{
"type": "string",
"enum": [
"local"
]
},
{
"type": "string",
"enum": [
"session"
]
},
{
"type": "string",
"enum": [
"indexeddb"
]
}
]
},
"minItems": 1,
"maxItems": 3,
"uniqueItems": true
}
},
"additionalProperties": false
}
}
}
}Documented responses
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"format",
"documents",
"skipped_documents"
],
"properties": {
"format": {
"type": "string",
"enum": [
"adbr-website-storage-v1"
]
},
"documents": {
"type": "array",
"items": {
"type": "object",
"required": [
"target_id",
"frame_id",
"parent_frame_id",
"top_level_origin",
"ancestor_origins",
"origin",
"storage_key",
"data"
],
"properties": {
"target_id": {
"type": "string"
},
"frame_id": {
"type": "string"
},
"parent_frame_id": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"top_level_origin": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"ancestor_origins": {
"type": "array",
"items": {
"type": "string"
}
},
"origin": {
"type": "string"
},
"storage_key": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"data": {
"type": "object",
"additionalProperties": {}
}
}
}
},
"skipped_documents": {
"type": "array",
"items": {
"type": "object",
"required": [
"target_id",
"frame_id",
"reason"
],
"properties": {
"target_id": {
"type": "string"
},
"frame_id": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"reason": {
"type": "string"
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Complete operation definition
{
"summary": "Website-Speicher geöffneter Tabs und Frames mit Partitionenzuordnung exportieren",
"tags": [
"Import/Export"
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"origins",
"kinds"
],
"properties": {
"origins": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"minItems": 1,
"maxItems": 50
},
"kinds": {
"type": "array",
"items": {
"anyOf": [
{
"type": "string",
"enum": [
"local"
]
},
{
"type": "string",
"enum": [
"session"
]
},
{
"type": "string",
"enum": [
"indexeddb"
]
}
]
},
"minItems": 1,
"maxItems": 3,
"uniqueItems": true
}
},
"additionalProperties": false
}
}
}
},
"parameters": [
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
],
"x-required-scopes": [
"profiles:read",
"secrets:read"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"format",
"documents",
"skipped_documents"
],
"properties": {
"format": {
"type": "string",
"enum": [
"adbr-website-storage-v1"
]
},
"documents": {
"type": "array",
"items": {
"type": "object",
"required": [
"target_id",
"frame_id",
"parent_frame_id",
"top_level_origin",
"ancestor_origins",
"origin",
"storage_key",
"data"
],
"properties": {
"target_id": {
"type": "string"
},
"frame_id": {
"type": "string"
},
"parent_frame_id": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"top_level_origin": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"ancestor_origins": {
"type": "array",
"items": {
"type": "string"
}
},
"origin": {
"type": "string"
},
"storage_key": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"data": {
"type": "object",
"additionalProperties": {}
}
}
}
},
"skipped_documents": {
"type": "array",
"items": {
"type": "object",
"required": [
"target_id",
"frame_id",
"reason"
],
"properties": {
"target_id": {
"type": "string"
},
"frame_id": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"reason": {
"type": "string"
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}POST /api/v1/profiles/import/preview
Profil-Import prüfen (CSV, XLSX, TXT im AdsPower-Format): Spaltenerkennung, Vorschau je Zeile
Authentication: bearer token
Required route scopes: profiles:write
All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.
No path or query parameters declared.
Request body · required
{
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"file_name",
"content_base64"
],
"properties": {
"file_name": {
"type": "string",
"minLength": 1,
"maxLength": 260
},
"content_base64": {
"type": "string",
"minLength": 4,
"maxLength": 20971520
},
"sheet": {
"type": "string",
"maxLength": 64
},
"mapping": {
"type": "object",
"additionalProperties": {
"anyOf": [
{
"anyOf": [
{
"type": "string",
"enum": [
"id"
]
},
{
"type": "string",
"enum": [
"no"
]
},
{
"type": "string",
"enum": [
"external_id"
]
},
{
"type": "string",
"enum": [
"ip"
]
},
{
"type": "string",
"enum": [
"name"
]
},
{
"type": "string",
"enum": [
"custom_no"
]
},
{
"type": "string",
"enum": [
"group"
]
},
{
"type": "string",
"enum": [
"tags"
]
},
{
"type": "string",
"enum": [
"status"
]
},
{
"type": "string",
"enum": [
"notes"
]
},
{
"type": "string",
"enum": [
"engine"
]
},
{
"type": "string",
"enum": [
"engine_version"
]
},
{
"type": "string",
"enum": [
"os"
]
},
{
"type": "string",
"enum": [
"ua"
]
},
{
"type": "string",
"enum": [
"resolution"
]
},
{
"type": "string",
"enum": [
"platform"
]
},
{
"type": "string",
"enum": [
"username"
]
},
{
"type": "string",
"enum": [
"password"
]
},
{
"type": "string",
"enum": [
"totp_secret"
]
},
{
"type": "string",
"enum": [
"cookie"
]
},
{
"type": "string",
"enum": [
"proxytype"
]
},
{
"type": "string",
"enum": [
"proxy"
]
},
{
"type": "string",
"enum": [
"proxy_url"
]
},
{
"type": "string",
"enum": [
"proxy_id"
]
},
{
"type": "string",
"enum": [
"ip_checker"
]
},
{
"type": "string",
"enum": [
"countrycode"
]
},
{
"type": "string",
"enum": [
"regioncode"
]
},
{
"type": "string",
"enum": [
"citycode"
]
},
{
"type": "string",
"enum": [
"start_urls"
]
},
{
"type": "string",
"enum": [
"extensions_set"
]
}
]
},
{
"type": "null"
}
]
}
},
"duplicate_check": {
"anyOf": [
{
"type": "string",
"enum": [
"none"
]
},
{
"type": "string",
"enum": [
"account"
]
},
{
"type": "string",
"enum": [
"account_password"
]
},
{
"type": "string",
"enum": [
"cookie"
]
}
]
},
"ignore_cookie_errors": {
"type": "boolean"
},
"exclude_lines": {
"type": "array",
"items": {
"type": "integer",
"minimum": 1
},
"maxItems": 1000
},
"defaults": {
"type": "object",
"properties": {
"group_id": {
"type": [
"string",
"null"
]
},
"engine": {
"anyOf": [
{
"type": "string",
"enum": [
"chromium"
]
},
{
"type": "string",
"enum": [
"firefox"
]
}
]
},
"engine_version": {
"type": "string",
"pattern": "^[0-9]{2,4}$"
},
"os": {
"type": "string",
"maxLength": 16
},
"tag_ids": {
"type": "array",
"items": {
"type": "string"
},
"maxItems": 30
},
"tags": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 50
},
"maxItems": 30
},
"storage_options": {
"type": "object",
"additionalProperties": {
"type": "boolean"
}
}
},
"additionalProperties": false
}
},
"additionalProperties": false
}
}
}
}Documented responses
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"kind",
"sheets",
"sheet",
"fields",
"columns",
"extra_accounts",
"counts",
"rows"
],
"properties": {
"kind": {
"type": "string"
},
"sheets": {
"type": "array",
"items": {
"type": "string"
}
},
"sheet": {
"type": "string"
},
"fields": {
"type": "array",
"items": {
"type": "string"
}
},
"columns": {
"type": "array",
"items": {
"type": "object",
"required": [
"index",
"header",
"field"
],
"properties": {
"index": {
"type": "integer"
},
"header": {
"type": "string"
},
"field": {
"type": [
"null",
"string"
]
}
}
}
},
"extra_accounts": {
"type": "integer"
},
"counts": {
"type": "object",
"required": [
"create",
"update",
"invalid",
"duplicate",
"excluded"
],
"properties": {
"create": {
"type": "integer"
},
"update": {
"type": "integer"
},
"invalid": {
"type": "integer"
},
"duplicate": {
"type": "integer"
},
"excluded": {
"type": "integer"
}
}
},
"rows": {
"type": "array",
"items": {
"type": "object",
"required": [
"line",
"action",
"status",
"issues",
"warnings",
"profile_id",
"name",
"group",
"tags",
"engine",
"extension_set",
"proxy",
"accounts",
"first_account",
"cookies"
],
"properties": {
"line": {
"type": "integer"
},
"action": {
"type": "string"
},
"status": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"required": [
"code",
"message"
],
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
}
}
}
},
"warnings": {
"type": "array",
"items": {
"type": "object",
"required": [
"code",
"message"
],
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
}
}
}
},
"profile_id": {
"type": [
"null",
"string"
]
},
"name": {
"type": "string"
},
"group": {
"type": [
"null",
"string"
]
},
"tags": {
"type": "array",
"items": {
"type": "string"
}
},
"engine": {
"type": [
"null",
"string"
]
},
"extension_set": {
"type": [
"null",
"string"
]
},
"proxy": {
"type": [
"null",
"string"
]
},
"accounts": {
"type": "integer"
},
"first_account": {
"type": [
"null",
"string"
]
},
"cookies": {
"type": "integer"
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Complete operation definition
{
"summary": "Profil-Import prüfen (CSV, XLSX, TXT im AdsPower-Format): Spaltenerkennung, Vorschau je Zeile",
"tags": [
"Import/Export"
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"file_name",
"content_base64"
],
"properties": {
"file_name": {
"type": "string",
"minLength": 1,
"maxLength": 260
},
"content_base64": {
"type": "string",
"minLength": 4,
"maxLength": 20971520
},
"sheet": {
"type": "string",
"maxLength": 64
},
"mapping": {
"type": "object",
"additionalProperties": {
"anyOf": [
{
"anyOf": [
{
"type": "string",
"enum": [
"id"
]
},
{
"type": "string",
"enum": [
"no"
]
},
{
"type": "string",
"enum": [
"external_id"
]
},
{
"type": "string",
"enum": [
"ip"
]
},
{
"type": "string",
"enum": [
"name"
]
},
{
"type": "string",
"enum": [
"custom_no"
]
},
{
"type": "string",
"enum": [
"group"
]
},
{
"type": "string",
"enum": [
"tags"
]
},
{
"type": "string",
"enum": [
"status"
]
},
{
"type": "string",
"enum": [
"notes"
]
},
{
"type": "string",
"enum": [
"engine"
]
},
{
"type": "string",
"enum": [
"engine_version"
]
},
{
"type": "string",
"enum": [
"os"
]
},
{
"type": "string",
"enum": [
"ua"
]
},
{
"type": "string",
"enum": [
"resolution"
]
},
{
"type": "string",
"enum": [
"platform"
]
},
{
"type": "string",
"enum": [
"username"
]
},
{
"type": "string",
"enum": [
"password"
]
},
{
"type": "string",
"enum": [
"totp_secret"
]
},
{
"type": "string",
"enum": [
"cookie"
]
},
{
"type": "string",
"enum": [
"proxytype"
]
},
{
"type": "string",
"enum": [
"proxy"
]
},
{
"type": "string",
"enum": [
"proxy_url"
]
},
{
"type": "string",
"enum": [
"proxy_id"
]
},
{
"type": "string",
"enum": [
"ip_checker"
]
},
{
"type": "string",
"enum": [
"countrycode"
]
},
{
"type": "string",
"enum": [
"regioncode"
]
},
{
"type": "string",
"enum": [
"citycode"
]
},
{
"type": "string",
"enum": [
"start_urls"
]
},
{
"type": "string",
"enum": [
"extensions_set"
]
}
]
},
{
"type": "null"
}
]
}
},
"duplicate_check": {
"anyOf": [
{
"type": "string",
"enum": [
"none"
]
},
{
"type": "string",
"enum": [
"account"
]
},
{
"type": "string",
"enum": [
"account_password"
]
},
{
"type": "string",
"enum": [
"cookie"
]
}
]
},
"ignore_cookie_errors": {
"type": "boolean"
},
"exclude_lines": {
"type": "array",
"items": {
"type": "integer",
"minimum": 1
},
"maxItems": 1000
},
"defaults": {
"type": "object",
"properties": {
"group_id": {
"type": [
"string",
"null"
]
},
"engine": {
"anyOf": [
{
"type": "string",
"enum": [
"chromium"
]
},
{
"type": "string",
"enum": [
"firefox"
]
}
]
},
"engine_version": {
"type": "string",
"pattern": "^[0-9]{2,4}$"
},
"os": {
"type": "string",
"maxLength": 16
},
"tag_ids": {
"type": "array",
"items": {
"type": "string"
},
"maxItems": 30
},
"tags": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 50
},
"maxItems": 30
},
"storage_options": {
"type": "object",
"additionalProperties": {
"type": "boolean"
}
}
},
"additionalProperties": false
}
},
"additionalProperties": false
}
}
}
},
"x-required-scopes": [
"profiles:write"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"kind",
"sheets",
"sheet",
"fields",
"columns",
"extra_accounts",
"counts",
"rows"
],
"properties": {
"kind": {
"type": "string"
},
"sheets": {
"type": "array",
"items": {
"type": "string"
}
},
"sheet": {
"type": "string"
},
"fields": {
"type": "array",
"items": {
"type": "string"
}
},
"columns": {
"type": "array",
"items": {
"type": "object",
"required": [
"index",
"header",
"field"
],
"properties": {
"index": {
"type": "integer"
},
"header": {
"type": "string"
},
"field": {
"type": [
"null",
"string"
]
}
}
}
},
"extra_accounts": {
"type": "integer"
},
"counts": {
"type": "object",
"required": [
"create",
"update",
"invalid",
"duplicate",
"excluded"
],
"properties": {
"create": {
"type": "integer"
},
"update": {
"type": "integer"
},
"invalid": {
"type": "integer"
},
"duplicate": {
"type": "integer"
},
"excluded": {
"type": "integer"
}
}
},
"rows": {
"type": "array",
"items": {
"type": "object",
"required": [
"line",
"action",
"status",
"issues",
"warnings",
"profile_id",
"name",
"group",
"tags",
"engine",
"extension_set",
"proxy",
"accounts",
"first_account",
"cookies"
],
"properties": {
"line": {
"type": "integer"
},
"action": {
"type": "string"
},
"status": {
"type": "string"
},
"issues": {
"type": "array",
"items": {
"type": "object",
"required": [
"code",
"message"
],
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
}
}
}
},
"warnings": {
"type": "array",
"items": {
"type": "object",
"required": [
"code",
"message"
],
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
}
}
}
},
"profile_id": {
"type": [
"null",
"string"
]
},
"name": {
"type": "string"
},
"group": {
"type": [
"null",
"string"
]
},
"tags": {
"type": "array",
"items": {
"type": "string"
}
},
"engine": {
"type": [
"null",
"string"
]
},
"extension_set": {
"type": [
"null",
"string"
]
},
"proxy": {
"type": [
"null",
"string"
]
},
"accounts": {
"type": "integer"
},
"first_account": {
"type": [
"null",
"string"
]
},
"cookies": {
"type": "integer"
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}POST /api/v1/profiles/import
Profile aus Datei anlegen oder über die Spalte id aktualisieren; Ergebnis je Zeile
Authentication: bearer token
Required route scopes: profiles:write
All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.
No path or query parameters declared.
Request body · required
{
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"file_name",
"content_base64"
],
"properties": {
"file_name": {
"type": "string",
"minLength": 1,
"maxLength": 260
},
"content_base64": {
"type": "string",
"minLength": 4,
"maxLength": 20971520
},
"sheet": {
"type": "string",
"maxLength": 64
},
"mapping": {
"type": "object",
"additionalProperties": {
"anyOf": [
{
"anyOf": [
{
"type": "string",
"enum": [
"id"
]
},
{
"type": "string",
"enum": [
"no"
]
},
{
"type": "string",
"enum": [
"external_id"
]
},
{
"type": "string",
"enum": [
"ip"
]
},
{
"type": "string",
"enum": [
"name"
]
},
{
"type": "string",
"enum": [
"custom_no"
]
},
{
"type": "string",
"enum": [
"group"
]
},
{
"type": "string",
"enum": [
"tags"
]
},
{
"type": "string",
"enum": [
"status"
]
},
{
"type": "string",
"enum": [
"notes"
]
},
{
"type": "string",
"enum": [
"engine"
]
},
{
"type": "string",
"enum": [
"engine_version"
]
},
{
"type": "string",
"enum": [
"os"
]
},
{
"type": "string",
"enum": [
"ua"
]
},
{
"type": "string",
"enum": [
"resolution"
]
},
{
"type": "string",
"enum": [
"platform"
]
},
{
"type": "string",
"enum": [
"username"
]
},
{
"type": "string",
"enum": [
"password"
]
},
{
"type": "string",
"enum": [
"totp_secret"
]
},
{
"type": "string",
"enum": [
"cookie"
]
},
{
"type": "string",
"enum": [
"proxytype"
]
},
{
"type": "string",
"enum": [
"proxy"
]
},
{
"type": "string",
"enum": [
"proxy_url"
]
},
{
"type": "string",
"enum": [
"proxy_id"
]
},
{
"type": "string",
"enum": [
"ip_checker"
]
},
{
"type": "string",
"enum": [
"countrycode"
]
},
{
"type": "string",
"enum": [
"regioncode"
]
},
{
"type": "string",
"enum": [
"citycode"
]
},
{
"type": "string",
"enum": [
"start_urls"
]
},
{
"type": "string",
"enum": [
"extensions_set"
]
}
]
},
{
"type": "null"
}
]
}
},
"duplicate_check": {
"anyOf": [
{
"type": "string",
"enum": [
"none"
]
},
{
"type": "string",
"enum": [
"account"
]
},
{
"type": "string",
"enum": [
"account_password"
]
},
{
"type": "string",
"enum": [
"cookie"
]
}
]
},
"ignore_cookie_errors": {
"type": "boolean"
},
"exclude_lines": {
"type": "array",
"items": {
"type": "integer",
"minimum": 1
},
"maxItems": 1000
},
"defaults": {
"type": "object",
"properties": {
"group_id": {
"type": [
"string",
"null"
]
},
"engine": {
"anyOf": [
{
"type": "string",
"enum": [
"chromium"
]
},
{
"type": "string",
"enum": [
"firefox"
]
}
]
},
"engine_version": {
"type": "string",
"pattern": "^[0-9]{2,4}$"
},
"os": {
"type": "string",
"maxLength": 16
},
"tag_ids": {
"type": "array",
"items": {
"type": "string"
},
"maxItems": 30
},
"tags": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 50
},
"maxItems": 30
},
"storage_options": {
"type": "object",
"additionalProperties": {
"type": "boolean"
}
}
},
"additionalProperties": false
}
},
"additionalProperties": false
}
}
}
}Documented responses
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"created",
"updated",
"skipped",
"failed",
"results"
],
"properties": {
"created": {
"type": "integer"
},
"updated": {
"type": "integer"
},
"skipped": {
"type": "integer"
},
"failed": {
"type": "integer"
},
"results": {
"type": "array",
"items": {
"type": "object",
"required": [
"line",
"status",
"id",
"no",
"error",
"warnings",
"cookies"
],
"properties": {
"line": {
"type": "integer"
},
"status": {
"type": "string"
},
"id": {
"type": [
"null",
"string"
]
},
"no": {
"type": [
"null",
"integer"
]
},
"error": {
"anyOf": [
{
"type": "object",
"required": [
"code",
"message"
],
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
}
}
},
{
"type": "null"
}
]
},
"warnings": {
"type": "array",
"items": {
"type": "object",
"required": [
"code",
"message"
],
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
}
}
}
},
"cookies": {
"type": [
"null",
"string"
]
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Complete operation definition
{
"summary": "Profile aus Datei anlegen oder über die Spalte id aktualisieren; Ergebnis je Zeile",
"tags": [
"Import/Export"
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"file_name",
"content_base64"
],
"properties": {
"file_name": {
"type": "string",
"minLength": 1,
"maxLength": 260
},
"content_base64": {
"type": "string",
"minLength": 4,
"maxLength": 20971520
},
"sheet": {
"type": "string",
"maxLength": 64
},
"mapping": {
"type": "object",
"additionalProperties": {
"anyOf": [
{
"anyOf": [
{
"type": "string",
"enum": [
"id"
]
},
{
"type": "string",
"enum": [
"no"
]
},
{
"type": "string",
"enum": [
"external_id"
]
},
{
"type": "string",
"enum": [
"ip"
]
},
{
"type": "string",
"enum": [
"name"
]
},
{
"type": "string",
"enum": [
"custom_no"
]
},
{
"type": "string",
"enum": [
"group"
]
},
{
"type": "string",
"enum": [
"tags"
]
},
{
"type": "string",
"enum": [
"status"
]
},
{
"type": "string",
"enum": [
"notes"
]
},
{
"type": "string",
"enum": [
"engine"
]
},
{
"type": "string",
"enum": [
"engine_version"
]
},
{
"type": "string",
"enum": [
"os"
]
},
{
"type": "string",
"enum": [
"ua"
]
},
{
"type": "string",
"enum": [
"resolution"
]
},
{
"type": "string",
"enum": [
"platform"
]
},
{
"type": "string",
"enum": [
"username"
]
},
{
"type": "string",
"enum": [
"password"
]
},
{
"type": "string",
"enum": [
"totp_secret"
]
},
{
"type": "string",
"enum": [
"cookie"
]
},
{
"type": "string",
"enum": [
"proxytype"
]
},
{
"type": "string",
"enum": [
"proxy"
]
},
{
"type": "string",
"enum": [
"proxy_url"
]
},
{
"type": "string",
"enum": [
"proxy_id"
]
},
{
"type": "string",
"enum": [
"ip_checker"
]
},
{
"type": "string",
"enum": [
"countrycode"
]
},
{
"type": "string",
"enum": [
"regioncode"
]
},
{
"type": "string",
"enum": [
"citycode"
]
},
{
"type": "string",
"enum": [
"start_urls"
]
},
{
"type": "string",
"enum": [
"extensions_set"
]
}
]
},
{
"type": "null"
}
]
}
},
"duplicate_check": {
"anyOf": [
{
"type": "string",
"enum": [
"none"
]
},
{
"type": "string",
"enum": [
"account"
]
},
{
"type": "string",
"enum": [
"account_password"
]
},
{
"type": "string",
"enum": [
"cookie"
]
}
]
},
"ignore_cookie_errors": {
"type": "boolean"
},
"exclude_lines": {
"type": "array",
"items": {
"type": "integer",
"minimum": 1
},
"maxItems": 1000
},
"defaults": {
"type": "object",
"properties": {
"group_id": {
"type": [
"string",
"null"
]
},
"engine": {
"anyOf": [
{
"type": "string",
"enum": [
"chromium"
]
},
{
"type": "string",
"enum": [
"firefox"
]
}
]
},
"engine_version": {
"type": "string",
"pattern": "^[0-9]{2,4}$"
},
"os": {
"type": "string",
"maxLength": 16
},
"tag_ids": {
"type": "array",
"items": {
"type": "string"
},
"maxItems": 30
},
"tags": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 50
},
"maxItems": 30
},
"storage_options": {
"type": "object",
"additionalProperties": {
"type": "boolean"
}
}
},
"additionalProperties": false
}
},
"additionalProperties": false
}
}
}
},
"x-required-scopes": [
"profiles:write"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"created",
"updated",
"skipped",
"failed",
"results"
],
"properties": {
"created": {
"type": "integer"
},
"updated": {
"type": "integer"
},
"skipped": {
"type": "integer"
},
"failed": {
"type": "integer"
},
"results": {
"type": "array",
"items": {
"type": "object",
"required": [
"line",
"status",
"id",
"no",
"error",
"warnings",
"cookies"
],
"properties": {
"line": {
"type": "integer"
},
"status": {
"type": "string"
},
"id": {
"type": [
"null",
"string"
]
},
"no": {
"type": [
"null",
"integer"
]
},
"error": {
"anyOf": [
{
"type": "object",
"required": [
"code",
"message"
],
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
}
}
},
{
"type": "null"
}
]
},
"warnings": {
"type": "array",
"items": {
"type": "object",
"required": [
"code",
"message"
],
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
}
}
}
},
"cookies": {
"type": [
"null",
"string"
]
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}GET /api/v1/profiles/import/template
Import-Vorlage mit allen Spalten (XLSX mit Blatt „Zusatzkonten“, CSV oder TXT)
Authentication: bearer token
Required route scopes: profiles:read
All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.
| Name | Location | Required | Description |
|---|---|---|---|
format | query | No |
Full parameter schemas
[
{
"schema": {
"anyOf": [
{
"type": "string",
"enum": [
"xlsx"
]
},
{
"type": "string",
"enum": [
"csv"
]
},
{
"type": "string",
"enum": [
"txt"
]
}
]
},
"in": "query",
"name": "format",
"required": false
}
]No request body declared.
Documented responses
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"file_name",
"mime",
"content_base64"
],
"properties": {
"file_name": {
"type": "string"
},
"mime": {
"type": "string"
},
"content_base64": {
"type": "string"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Complete operation definition
{
"summary": "Import-Vorlage mit allen Spalten (XLSX mit Blatt „Zusatzkonten“, CSV oder TXT)",
"tags": [
"Import/Export"
],
"parameters": [
{
"schema": {
"anyOf": [
{
"type": "string",
"enum": [
"xlsx"
]
},
{
"type": "string",
"enum": [
"csv"
]
},
{
"type": "string",
"enum": [
"txt"
]
}
]
},
"in": "query",
"name": "format",
"required": false
}
],
"x-required-scopes": [
"profiles:read"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"file_name",
"mime",
"content_base64"
],
"properties": {
"file_name": {
"type": "string"
},
"mime": {
"type": "string"
},
"content_base64": {
"type": "string"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}POST /api/v1/profiles/export
Profile als XLSX, CSV oder TXT exportieren (wieder importierbar, Spalten id/no für Aktualisierung); Passwörter nur mit secrets:read
Authentication: bearer token
Required route scopes: profiles:read
All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.
No path or query parameters declared.
Request body · required
{
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"format"
],
"properties": {
"ids": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"minItems": 1,
"maxItems": 1000
},
"all": {
"type": "boolean"
},
"format": {
"anyOf": [
{
"type": "string",
"enum": [
"xlsx"
]
},
{
"type": "string",
"enum": [
"csv"
]
},
{
"type": "string",
"enum": [
"txt"
]
}
]
},
"include_secrets": {
"type": "boolean"
}
},
"additionalProperties": false
}
}
}
}Documented responses
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"file_name",
"mime",
"count",
"content_base64"
],
"properties": {
"file_name": {
"type": "string"
},
"mime": {
"type": "string"
},
"count": {
"type": "integer"
},
"content_base64": {
"type": "string"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Complete operation definition
{
"summary": "Profile als XLSX, CSV oder TXT exportieren (wieder importierbar, Spalten id/no für Aktualisierung); Passwörter nur mit secrets:read",
"tags": [
"Import/Export"
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"format"
],
"properties": {
"ids": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"minItems": 1,
"maxItems": 1000
},
"all": {
"type": "boolean"
},
"format": {
"anyOf": [
{
"type": "string",
"enum": [
"xlsx"
]
},
{
"type": "string",
"enum": [
"csv"
]
},
{
"type": "string",
"enum": [
"txt"
]
}
]
},
"include_secrets": {
"type": "boolean"
}
},
"additionalProperties": false
}
}
}
},
"x-required-scopes": [
"profiles:read"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"file_name",
"mime",
"count",
"content_base64"
],
"properties": {
"file_name": {
"type": "string"
},
"mime": {
"type": "string"
},
"count": {
"type": "integer"
},
"content_base64": {
"type": "string"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}POST /api/v1/integrations/transfers/list
GoLogin-, Dolphin- oder Multilogin-X-Profile ohne lokale Änderungen auflisten
Authentication: bearer token
Required route scopes: profiles:write
All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.
No path or query parameters declared.
Request body · required
{
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"source",
"token"
],
"properties": {
"source": {
"anyOf": [
{
"type": "string",
"enum": [
"gologin"
]
},
{
"type": "string",
"enum": [
"dolphin"
]
},
{
"type": "string",
"enum": [
"multilogin"
]
}
]
},
"token": {
"type": "string",
"minLength": 8,
"maxLength": 8192
},
"page": {
"type": "integer",
"minimum": 1,
"maximum": 10000
},
"cursor": {
"type": "string",
"maxLength": 4096
}
},
"additionalProperties": false
}
}
}
}Documented responses
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"items",
"next"
],
"properties": {
"items": {
"type": "array",
"items": {
"type": "object",
"required": [
"id",
"name"
],
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
}
}
}
},
"next": {
"type": [
"string",
"null"
]
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Complete operation definition
{
"summary": "GoLogin-, Dolphin- oder Multilogin-X-Profile ohne lokale Änderungen auflisten",
"tags": [
"Import/Export"
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"source",
"token"
],
"properties": {
"source": {
"anyOf": [
{
"type": "string",
"enum": [
"gologin"
]
},
{
"type": "string",
"enum": [
"dolphin"
]
},
{
"type": "string",
"enum": [
"multilogin"
]
}
]
},
"token": {
"type": "string",
"minLength": 8,
"maxLength": 8192
},
"page": {
"type": "integer",
"minimum": 1,
"maximum": 10000
},
"cursor": {
"type": "string",
"maxLength": 4096
}
},
"additionalProperties": false
}
}
}
},
"x-required-scopes": [
"profiles:write"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"items",
"next"
],
"properties": {
"items": {
"type": "array",
"items": {
"type": "object",
"required": [
"id",
"name"
],
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
}
}
}
},
"next": {
"type": [
"string",
"null"
]
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}POST /api/v1/integrations/transfers/preview
Direkttransfer von bis zu 20 ausgewählten Profilen prüfen; zehn Minuten gültige Vorschau
Authentication: bearer token
Required route scopes: profiles:write
All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.
No path or query parameters declared.
Request body · required
{
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"source",
"token",
"ids",
"cookies"
],
"properties": {
"source": {
"anyOf": [
{
"type": "string",
"enum": [
"gologin"
]
},
{
"type": "string",
"enum": [
"dolphin"
]
},
{
"type": "string",
"enum": [
"multilogin"
]
}
]
},
"token": {
"type": "string",
"minLength": 8,
"maxLength": 8192
},
"ids": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 100
},
"minItems": 1,
"maxItems": 20,
"uniqueItems": true
},
"cookies": {
"type": "boolean"
},
"group_id": {
"type": "string",
"maxLength": 64
}
},
"additionalProperties": false
}
}
}
}Documented responses
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"id",
"expires_at",
"warnings",
"rows"
],
"properties": {
"id": {
"type": "string"
},
"expires_at": {
"type": "integer"
},
"warnings": {
"type": "array",
"items": {
"type": "string"
}
},
"rows": {
"type": "array",
"items": {
"type": "object",
"required": [
"line",
"action",
"status",
"issues",
"warnings",
"profile_id",
"name",
"group",
"tags",
"engine",
"extension_set",
"proxy",
"accounts",
"first_account",
"cookies"
],
"properties": {
"line": {
"type": "integer"
},
"action": {
"anyOf": [
{
"type": "string",
"enum": [
"create"
]
},
{
"type": "string",
"enum": [
"update"
]
},
{
"type": "string",
"enum": [
"skip"
]
}
]
},
"status": {
"anyOf": [
{
"type": "string",
"enum": [
"ok"
]
},
{
"type": "string",
"enum": [
"invalid"
]
},
{
"type": "string",
"enum": [
"duplicate"
]
},
{
"type": "string",
"enum": [
"excluded"
]
}
]
},
"issues": {
"type": "array",
"items": {
"type": "object",
"required": [
"code",
"message"
],
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
}
}
}
},
"warnings": {
"type": "array",
"items": {
"type": "object",
"required": [
"code",
"message"
],
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
}
}
}
},
"profile_id": {
"type": [
"string",
"null"
]
},
"name": {
"type": "string"
},
"group": {
"type": [
"string",
"null"
]
},
"tags": {
"type": "array",
"items": {
"type": "string"
}
},
"engine": {
"type": [
"string",
"null"
]
},
"extension_set": {
"type": [
"string",
"null"
]
},
"proxy": {
"type": [
"string",
"null"
]
},
"accounts": {
"type": "integer"
},
"first_account": {
"type": [
"string",
"null"
]
},
"cookies": {
"type": "integer"
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Complete operation definition
{
"summary": "Direkttransfer von bis zu 20 ausgewählten Profilen prüfen; zehn Minuten gültige Vorschau",
"tags": [
"Import/Export"
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"source",
"token",
"ids",
"cookies"
],
"properties": {
"source": {
"anyOf": [
{
"type": "string",
"enum": [
"gologin"
]
},
{
"type": "string",
"enum": [
"dolphin"
]
},
{
"type": "string",
"enum": [
"multilogin"
]
}
]
},
"token": {
"type": "string",
"minLength": 8,
"maxLength": 8192
},
"ids": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 100
},
"minItems": 1,
"maxItems": 20,
"uniqueItems": true
},
"cookies": {
"type": "boolean"
},
"group_id": {
"type": "string",
"maxLength": 64
}
},
"additionalProperties": false
}
}
}
},
"x-required-scopes": [
"profiles:write"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"id",
"expires_at",
"warnings",
"rows"
],
"properties": {
"id": {
"type": "string"
},
"expires_at": {
"type": "integer"
},
"warnings": {
"type": "array",
"items": {
"type": "string"
}
},
"rows": {
"type": "array",
"items": {
"type": "object",
"required": [
"line",
"action",
"status",
"issues",
"warnings",
"profile_id",
"name",
"group",
"tags",
"engine",
"extension_set",
"proxy",
"accounts",
"first_account",
"cookies"
],
"properties": {
"line": {
"type": "integer"
},
"action": {
"anyOf": [
{
"type": "string",
"enum": [
"create"
]
},
{
"type": "string",
"enum": [
"update"
]
},
{
"type": "string",
"enum": [
"skip"
]
}
]
},
"status": {
"anyOf": [
{
"type": "string",
"enum": [
"ok"
]
},
{
"type": "string",
"enum": [
"invalid"
]
},
{
"type": "string",
"enum": [
"duplicate"
]
},
{
"type": "string",
"enum": [
"excluded"
]
}
]
},
"issues": {
"type": "array",
"items": {
"type": "object",
"required": [
"code",
"message"
],
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
}
}
}
},
"warnings": {
"type": "array",
"items": {
"type": "object",
"required": [
"code",
"message"
],
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
}
}
}
},
"profile_id": {
"type": [
"string",
"null"
]
},
"name": {
"type": "string"
},
"group": {
"type": [
"string",
"null"
]
},
"tags": {
"type": "array",
"items": {
"type": "string"
}
},
"engine": {
"type": [
"string",
"null"
]
},
"extension_set": {
"type": [
"string",
"null"
]
},
"proxy": {
"type": [
"string",
"null"
]
},
"accounts": {
"type": "integer"
},
"first_account": {
"type": [
"string",
"null"
]
},
"cookies": {
"type": "integer"
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}POST /api/v1/integrations/transfers/execute
Geprüften Direkttransfer einmalig ausführen
Authentication: bearer token
Required route scopes: profiles:write
All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.
No path or query parameters declared.
Request body · required
{
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"id"
],
"properties": {
"id": {
"type": "string",
"format": "uuid"
}
},
"additionalProperties": false
}
}
}
}Documented responses
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"results",
"created",
"failed",
"skipped"
],
"properties": {
"results": {
"type": "array",
"items": {
"type": "object",
"required": [
"line",
"status",
"id",
"no",
"error",
"warnings",
"cookies"
],
"properties": {
"line": {
"type": "integer"
},
"status": {
"anyOf": [
{
"type": "string",
"enum": [
"created"
]
},
{
"type": "string",
"enum": [
"updated"
]
},
{
"type": "string",
"enum": [
"skipped"
]
},
{
"type": "string",
"enum": [
"failed"
]
}
]
},
"id": {
"type": [
"string",
"null"
]
},
"no": {
"type": [
"integer",
"null"
]
},
"error": {
"anyOf": [
{
"type": "object",
"required": [
"code",
"message"
],
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
}
}
},
{
"type": "null"
}
]
},
"warnings": {
"type": "array",
"items": {
"type": "object",
"required": [
"code",
"message"
],
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
}
}
}
},
"cookies": {
"anyOf": [
{
"type": "string",
"enum": [
"queued"
]
},
{
"type": "null"
}
]
}
}
}
},
"created": {
"type": "integer"
},
"failed": {
"type": "integer"
},
"skipped": {
"type": "integer"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Complete operation definition
{
"summary": "Geprüften Direkttransfer einmalig ausführen",
"tags": [
"Import/Export"
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"id"
],
"properties": {
"id": {
"type": "string",
"format": "uuid"
}
},
"additionalProperties": false
}
}
}
},
"x-required-scopes": [
"profiles:write"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"results",
"created",
"failed",
"skipped"
],
"properties": {
"results": {
"type": "array",
"items": {
"type": "object",
"required": [
"line",
"status",
"id",
"no",
"error",
"warnings",
"cookies"
],
"properties": {
"line": {
"type": "integer"
},
"status": {
"anyOf": [
{
"type": "string",
"enum": [
"created"
]
},
{
"type": "string",
"enum": [
"updated"
]
},
{
"type": "string",
"enum": [
"skipped"
]
},
{
"type": "string",
"enum": [
"failed"
]
}
]
},
"id": {
"type": [
"string",
"null"
]
},
"no": {
"type": [
"integer",
"null"
]
},
"error": {
"anyOf": [
{
"type": "object",
"required": [
"code",
"message"
],
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
}
}
},
{
"type": "null"
}
]
},
"warnings": {
"type": "array",
"items": {
"type": "object",
"required": [
"code",
"message"
],
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
}
}
}
},
"cookies": {
"anyOf": [
{
"type": "string",
"enum": [
"queued"
]
},
{
"type": "null"
}
]
}
}
}
},
"created": {
"type": "integer"
},
"failed": {
"type": "integer"
},
"skipped": {
"type": "integer"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}POST /api/v1/profiles/package/export
Profile als verschlüsseltes .adbprofile-Paket exportieren (Argon2id + XChaCha20-Poly1305): Einstellungen, Konten, Proxy, Cookies neutral, Browserdaten ohne Cache; unterstützte Windows-DPAPI-Schlüssel werden im Paket übertragen und beim Import neu geschützt, App-Bound-Daten werden ausgelassen
Authentication: bearer token
Required route scopes: profiles:read, secrets:read
All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.
No path or query parameters declared.
Request body · required
{
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"ids",
"password",
"target_path"
],
"properties": {
"ids": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"minItems": 1,
"maxItems": 1000
},
"password": {
"type": "string",
"minLength": 12,
"maxLength": 1024
},
"target_path": {
"type": "string",
"minLength": 4,
"maxLength": 1024
},
"include_cookies": {
"type": "boolean"
},
"include_browser_data": {
"type": "boolean"
}
},
"additionalProperties": false
}
}
}
}Documented responses
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"path",
"size_bytes",
"sha256",
"profiles"
],
"properties": {
"path": {
"type": "string"
},
"size_bytes": {
"type": "integer"
},
"sha256": {
"type": "string"
},
"profiles": {
"type": "array",
"items": {
"type": "object",
"required": [
"id",
"no",
"name",
"cookies",
"files",
"warnings"
],
"properties": {
"id": {
"type": "string"
},
"no": {
"type": "integer"
},
"name": {
"type": "string"
},
"cookies": {
"type": [
"null",
"integer"
]
},
"files": {
"type": "integer"
},
"warnings": {
"type": "array",
"items": {
"type": "string"
}
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Complete operation definition
{
"summary": "Profile als verschlüsseltes .adbprofile-Paket exportieren (Argon2id + XChaCha20-Poly1305): Einstellungen, Konten, Proxy, Cookies neutral, Browserdaten ohne Cache; unterstützte Windows-DPAPI-Schlüssel werden im Paket übertragen und beim Import neu geschützt, App-Bound-Daten werden ausgelassen",
"tags": [
"Import/Export"
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"ids",
"password",
"target_path"
],
"properties": {
"ids": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"minItems": 1,
"maxItems": 1000
},
"password": {
"type": "string",
"minLength": 12,
"maxLength": 1024
},
"target_path": {
"type": "string",
"minLength": 4,
"maxLength": 1024
},
"include_cookies": {
"type": "boolean"
},
"include_browser_data": {
"type": "boolean"
}
},
"additionalProperties": false
}
}
}
},
"x-required-scopes": [
"profiles:read",
"secrets:read"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"path",
"size_bytes",
"sha256",
"profiles"
],
"properties": {
"path": {
"type": "string"
},
"size_bytes": {
"type": "integer"
},
"sha256": {
"type": "string"
},
"profiles": {
"type": "array",
"items": {
"type": "object",
"required": [
"id",
"no",
"name",
"cookies",
"files",
"warnings"
],
"properties": {
"id": {
"type": "string"
},
"no": {
"type": "integer"
},
"name": {
"type": "string"
},
"cookies": {
"type": [
"null",
"integer"
]
},
"files": {
"type": "integer"
},
"warnings": {
"type": "array",
"items": {
"type": "string"
}
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}POST /api/v1/profiles/package/preview
Inhalt eines .adbprofile-Pakets oder .adbbackup-Vollbackups anzeigen und bereits vorhandene Profile erkennen (ohne etwas einzuspielen)
Authentication: bearer token
Required route scopes: profiles:read
All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.
No path or query parameters declared.
Request body · required
{
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"path",
"password"
],
"properties": {
"path": {
"type": "string",
"minLength": 4,
"maxLength": 1024
},
"password": {
"type": "string",
"minLength": 1,
"maxLength": 1024
}
},
"additionalProperties": false
}
}
}
}Documented responses
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"kind",
"created_at",
"workflows",
"profiles"
],
"properties": {
"kind": {
"type": "string"
},
"created_at": {
"type": "string"
},
"workflows": {
"type": "integer"
},
"profiles": {
"type": "array",
"items": {
"type": "object",
"required": [
"id",
"no",
"name",
"existing"
],
"properties": {
"id": {
"type": "string"
},
"no": {
"type": "integer"
},
"name": {
"type": "string"
},
"existing": {
"anyOf": [
{
"type": "object",
"required": [
"id",
"no",
"name"
],
"properties": {
"id": {
"type": "string"
},
"no": {
"type": "integer"
},
"name": {
"type": "string"
}
}
},
{
"type": "null"
}
]
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Complete operation definition
{
"summary": "Inhalt eines .adbprofile-Pakets oder .adbbackup-Vollbackups anzeigen und bereits vorhandene Profile erkennen (ohne etwas einzuspielen)",
"tags": [
"Import/Export"
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"path",
"password"
],
"properties": {
"path": {
"type": "string",
"minLength": 4,
"maxLength": 1024
},
"password": {
"type": "string",
"minLength": 1,
"maxLength": 1024
}
},
"additionalProperties": false
}
}
}
},
"x-required-scopes": [
"profiles:read"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"kind",
"created_at",
"workflows",
"profiles"
],
"properties": {
"kind": {
"type": "string"
},
"created_at": {
"type": "string"
},
"workflows": {
"type": "integer"
},
"profiles": {
"type": "array",
"items": {
"type": "object",
"required": [
"id",
"no",
"name",
"existing"
],
"properties": {
"id": {
"type": "string"
},
"no": {
"type": "integer"
},
"name": {
"type": "string"
},
"existing": {
"anyOf": [
{
"type": "object",
"required": [
"id",
"no",
"name"
],
"properties": {
"id": {
"type": "string"
},
"no": {
"type": "integer"
},
"name": {
"type": "string"
}
}
},
{
"type": "null"
}
]
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}POST /api/v1/profiles/package/import
Profile aus einem .adbprofile-Paket oder .adbbackup-Vollbackup importieren: neue ID und Nr., Fingerprint-Seeds erhalten, Cookies über den Browser eingespielt; on_conflict: new (Standard), skip oder replace (vorhandenes Profil in den Papierkorb)
Authentication: bearer token
Required route scopes: profiles:write
All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.
No path or query parameters declared.
Request body · required
{
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"path",
"password"
],
"properties": {
"path": {
"type": "string",
"minLength": 4,
"maxLength": 1024
},
"password": {
"type": "string",
"minLength": 1,
"maxLength": 1024
},
"on_conflict": {
"anyOf": [
{
"type": "string",
"enum": [
"new"
]
},
{
"type": "string",
"enum": [
"skip"
]
},
{
"type": "string",
"enum": [
"replace"
]
}
]
},
"decisions": {
"type": "object",
"additionalProperties": {
"anyOf": [
{
"type": "string",
"enum": [
"new"
]
},
{
"type": "string",
"enum": [
"skip"
]
},
{
"type": "string",
"enum": [
"replace"
]
}
]
}
}
},
"additionalProperties": false
}
}
}
}Documented responses
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"kind",
"results",
"restored"
],
"properties": {
"kind": {
"type": "string"
},
"results": {
"type": "array",
"items": {
"type": "object",
"required": [
"source_no",
"source_name",
"status",
"id",
"no",
"warnings",
"error"
],
"properties": {
"source_no": {
"type": "integer"
},
"source_name": {
"type": "string"
},
"status": {
"type": "string"
},
"id": {
"type": [
"null",
"string"
]
},
"no": {
"type": [
"null",
"integer"
]
},
"warnings": {
"type": "array",
"items": {
"type": "string"
}
},
"error": {
"type": [
"null",
"string"
]
}
}
}
},
"restored": {
"anyOf": [
{
"type": "object",
"required": [
"proxies",
"groups",
"tags",
"extensions",
"extension_sets",
"workflows",
"warnings"
],
"properties": {
"proxies": {
"type": "integer"
},
"groups": {
"type": "integer"
},
"tags": {
"type": "integer"
},
"extensions": {
"type": "integer"
},
"extension_sets": {
"type": "integer"
},
"workflows": {
"type": "integer"
},
"warnings": {
"type": "array",
"items": {
"type": "string"
}
}
}
},
{
"type": "null"
}
]
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Complete operation definition
{
"summary": "Profile aus einem .adbprofile-Paket oder .adbbackup-Vollbackup importieren: neue ID und Nr., Fingerprint-Seeds erhalten, Cookies über den Browser eingespielt; on_conflict: new (Standard), skip oder replace (vorhandenes Profil in den Papierkorb)",
"tags": [
"Import/Export"
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"path",
"password"
],
"properties": {
"path": {
"type": "string",
"minLength": 4,
"maxLength": 1024
},
"password": {
"type": "string",
"minLength": 1,
"maxLength": 1024
},
"on_conflict": {
"anyOf": [
{
"type": "string",
"enum": [
"new"
]
},
{
"type": "string",
"enum": [
"skip"
]
},
{
"type": "string",
"enum": [
"replace"
]
}
]
},
"decisions": {
"type": "object",
"additionalProperties": {
"anyOf": [
{
"type": "string",
"enum": [
"new"
]
},
{
"type": "string",
"enum": [
"skip"
]
},
{
"type": "string",
"enum": [
"replace"
]
}
]
}
}
},
"additionalProperties": false
}
}
}
},
"x-required-scopes": [
"profiles:write"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"kind",
"results",
"restored"
],
"properties": {
"kind": {
"type": "string"
},
"results": {
"type": "array",
"items": {
"type": "object",
"required": [
"source_no",
"source_name",
"status",
"id",
"no",
"warnings",
"error"
],
"properties": {
"source_no": {
"type": "integer"
},
"source_name": {
"type": "string"
},
"status": {
"type": "string"
},
"id": {
"type": [
"null",
"string"
]
},
"no": {
"type": [
"null",
"integer"
]
},
"warnings": {
"type": "array",
"items": {
"type": "string"
}
},
"error": {
"type": [
"null",
"string"
]
}
}
}
},
"restored": {
"anyOf": [
{
"type": "object",
"required": [
"proxies",
"groups",
"tags",
"extensions",
"extension_sets",
"workflows",
"warnings"
],
"properties": {
"proxies": {
"type": "integer"
},
"groups": {
"type": "integer"
},
"tags": {
"type": "integer"
},
"extensions": {
"type": "integer"
},
"extension_sets": {
"type": "integer"
},
"workflows": {
"type": "integer"
},
"warnings": {
"type": "array",
"items": {
"type": "string"
}
}
}
},
{
"type": "null"
}
]
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}